
//
// To jest oprzykładowy kod z podrozdziału 27.5.4 „Kwestia stylu” książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

//------------------------------------------------------------------------------

char* p1;      // p jest wskaźnikiem na obiekt typu char.
char *p2;      /* p to coś, z czego można wyłuskać znak. */
char c, *p, a[177], *f(); /* Dozwolone, ale mylące. */

//------------------------------------------------------------------------------

int main()
{
	char c = 'a';  /* Znak oznaczający koniec danych wejściowych pobieranych przez funkcję f() */
	char* p = 0;  /* Ostatni znak wczytany przez funkcję f(). */
	char a[177];  /* bufor wejściowy */
	char* f();    /* Wczytuje do bufora a; zwraca wskaźnik na pierwszy wczytany znak. */
}

//------------------------------------------------------------------------------
